@echo off

call %~dp0..\..\..\..\bin\init.bat

rem *****************************************************************
echo JavaDBのサーバー立ち上げ

set OG_CLASSPATH=%BASE_DIR%/server/*;%OG_CLASSPATH%;
start /MIN %DERBY_DIR%\bin\startNetworkServer.bat -h 0.0.0.0

rem タイミング調整で、5秒待ちます。
timeout /T 10

rem *****************************************************************
rem ij アプリケーションへの ij スクリプトの供給

call %DERBY_DIR%\bin\ij.bat FUNCTION.sql

rem タイミング調整で、5秒待ちます。
timeout /T 5

rem *****************************************************************
echo JavaDBのサーバーシャットダウン

call %DERBY_DIR%\bin\stopNetworkServer.bat

echo 終了しました。
pause
